<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Register</title>
</head>

<body>

    <div>
    
        <table>
            <tr>
                <th>#</th>
                <th>Messages</th>
                <th></th>
                <th></th>
               
    
            </tr>
            {% for chatMessage in chatMessage1 %}
            <tr>
                <td>{{ chatMessage.id }}</td>
                <td>{{ chatMessage.message }}</td>
                <td><a href={% url 'delete' chatMessage.id %}>Delete</a></td>
                <td><a href={% url 'update' chatMessage.id %}>Update</a></td>
                
            </tr>
            {% endfor %}
        </table>
    </div> <br>


  
    <form action="" method="POST">
        {% csrf_token %}
        <label for="message"><b>Message</b></label>
        <input type="text" name="message" placeholder="Enter Message" required><br>
        <button type="submit">Register</button>
    </form>

    <div>
        {% for message in messages %}
        <h3>{{message}}</h3>
        {% endfor %}
    </div>
</body>